@mixin make-overflow($s) {
    #{$s}overflow- {
        &hidden {
            overflow: hidden;
        }
        &initial {
            overflow: initial;
        }
        &auto {
            overflow: auto;
        }
        &scroll {
            overflow: scroll;
        }
        &visible {
            overflow: visible;
        }
        &y- {
            &initial {
                overflow-y: initial;
            }
            &hidden {
                overflow-y: hidden;
            }
            &auto {
                overflow-y: auto;
            }
            &scroll {
                overflow-y: scroll;
            }
            &visible {
                overflow-y: visible;
            }
        }
        &x- {
            &initial {
                overflow-x: initial;
            }
            &hidden {
                overflow-x: hidden;
            }
            &auto {
                overflow-x: auto;
            }
            &scroll {
                overflow-x: scroll;
            }
            &visible {
                overflow-x: visible;
            }
        }
    }
}